HMWKGraphInternal::TextBox Struct Reference

Internal: the textbox of a HMWKGraph. More...

Inheritance diagram for HMWKGraphInternal::TextBox:

## Public Member Functions

| TextBox (Frame const &orig, bool isComment)
| constructor More...
| ~TextBox ()
| destructor More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HMWKGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
bool | getLineColor (MWAWColor &color) const
| returns the line colors More...
bool | getSurfaceColor (MWAWColor &color) const
| returns the surface colors More...

## Public Attributes

bool | m_commentBox
| a flag to know if this is a comment textbox More...
long | m_textFileId
| the text file id More...
int | m_values [4]
| four unknown value More...
int | m_flags [2]
| two unknown flag More...
float | m_dim [2]
| two auxilliary dim for memo textbox More...
Public Attributes inherited from HMWKGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_page
| the page More...
Box2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
Vec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown More...
float | m_lineWidth
| the line width More...
MWAWColor | m_colors [2]
| the line/surface colors More...
float | m_patterns [2]
| the line/surface percent pattern More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends

std::ostream & | operator<< (std::ostream &o, TextBox const &textbox)
| operator<< More...

## Detailed Description

Internal: the textbox of a HMWKGraph.

## Constructor & Destructor Documentation

HMWKGraphInternal::TextBox::TextBox | ( | Frame const & | orig,
|  | bool | isComment
| ) |  |

inline

constructor

HMWKGraphInternal::TextBox::~TextBox | ( |  | ) |

inline

destructor

## Member Function Documentation

std::string HMWKGraphInternal::TextBox::print | ( |  | ) | const

inline

print local data

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | TextBox const & | textbox
| ) |  |

friend

operator<<

## Member Data Documentation

bool HMWKGraphInternal::TextBox::m_commentBox

a flag to know if this is a comment textbox

float HMWKGraphInternal::TextBox::m_dim[2]

two auxilliary dim for memo textbox

Referenced by print(), HMWKGraph::sendTextBox(), and TextBox().

int HMWKGraphInternal::TextBox::m_flags[2]

two unknown flag

Referenced by print(), and TextBox().

long HMWKGraphInternal::TextBox::m_textFileId

the text file id

Referenced by print(), and HMWKGraph::sendTextBox().

int HMWKGraphInternal::TextBox::m_values[4]

four unknown value

Referenced by print(), and TextBox().

The documentation for this struct was generated from the following file:

- HMWKGraph.cxx